package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2021/8/17 0017
 */
public class EduOrganStudentListExportDto {

    @ApiModelProperty("学员编号")
    private Integer studentId;

    @ApiModelProperty("姓名")
    private String studentName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("指导老师编号")
    private Integer teacherId;

    @ApiModelProperty("指导老师名称")
    private String teacherName;

    @ApiModelProperty("声部编号")
    private Integer subjectId;

    @ApiModelProperty("声部名称")
    private String subjectName;

    private String currentGradeNum;

    private String currentClass;

    @ApiModelProperty("乐团名称")
    private String musicGroupNames;

    @ApiModelProperty("乐团主管")
    private String educationName;

    @ApiModelProperty("活动金额")
    private BigDecimal activeAmount;

    @ApiModelProperty("是否目标学员")
    private Integer countFlag;

    @ApiModelProperty("所属学校")
    private String schoolNames;

    private boolean newUser;

    @ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
    private int carePackage;

    @ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
    private int comeOnPackage;

    @ApiModelProperty("是否激活")
    private boolean enable;

    private int serviceTag;

    private int operatingTag;

    private int notStartCourseNum;

    private int notStartVipCourseNum;

    private int notStartPracticeCourseNum;

    @ApiModelProperty("是否有小课")
    private int hasVipGroup;

    @ApiModelProperty("训练次数")
    private int cloudStudyUseNum;

    @ApiModelProperty("平均时长")
    private double cloudStudyUseAvgTime;

    @ApiModelProperty("总时长")
    private  double cloudStudyUseTime;

    @ApiModelProperty("连续天数")
    private int cloudStudyRunningDays;

    @ApiModelProperty("使用天数")
    private int cloudStudyUseDays;

    @ApiModelProperty("会员有效期")
    private String membershipEndTime;

    public String getCurrentClass() {
        return currentClass;
    }

    public void setCurrentClass(String currentClass) {
        this.currentClass = currentClass;
    }

    public String getCurrentGradeNum() {
        return currentGradeNum;
    }

    public void setCurrentGradeNum(String currentGradeNum) {
        this.currentGradeNum = currentGradeNum;
    }

    public String getEducationName() {
        return educationName;
    }

    public void setEducationName(String educationName) {
        this.educationName = educationName;
    }

    public BigDecimal getActiveAmount() {
        return activeAmount;
    }

    public void setActiveAmount(BigDecimal activeAmount) {
        this.activeAmount = activeAmount;
    }

    public Integer getCountFlag() {
        return countFlag;
    }

    public void setCountFlag(Integer countFlag) {
        this.countFlag = countFlag;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getMusicGroupNames() {
        return musicGroupNames;
    }

    public void setMusicGroupNames(String musicGroupNames) {
        this.musicGroupNames = musicGroupNames;
    }

    public int getHasVipGroup() {
        return hasVipGroup;
    }

    public void setHasVipGroup(int hasVipGroup) {
        this.hasVipGroup = hasVipGroup;
    }

    public int getCloudStudyUseNum() {
        return cloudStudyUseNum;
    }

    public void setCloudStudyUseNum(int cloudStudyUseNum) {
        this.cloudStudyUseNum = cloudStudyUseNum;
    }

    public double getCloudStudyUseAvgTime() {
        return cloudStudyUseAvgTime;
    }

    public void setCloudStudyUseAvgTime(double cloudStudyUseAvgTime) {
        this.cloudStudyUseAvgTime = cloudStudyUseAvgTime;
    }

    public double getCloudStudyUseTime() {
        return cloudStudyUseTime;
    }

    public void setCloudStudyUseTime(double cloudStudyUseTime) {
        this.cloudStudyUseTime = cloudStudyUseTime;
    }

    public int getCloudStudyRunningDays() {
        return cloudStudyRunningDays;
    }

    public void setCloudStudyRunningDays(int cloudStudyRunningDays) {
        this.cloudStudyRunningDays = cloudStudyRunningDays;
    }

    public String getMembershipEndTime() {
        return membershipEndTime;
    }

    public void setMembershipEndTime(String membershipEndTime) {
        this.membershipEndTime = membershipEndTime;
    }

    public int getCloudStudyUseDays() {
        return cloudStudyUseDays;
    }

    public void setCloudStudyUseDays(int cloudStudyUseDays) {
        this.cloudStudyUseDays = cloudStudyUseDays;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getSchoolNames() {
        return schoolNames;
    }

    public void setSchoolNames(String schoolNames) {
        this.schoolNames = schoolNames;
    }

    public boolean isNewUser() {
        return newUser;
    }

    public void setNewUser(boolean newUser) {
        this.newUser = newUser;
    }

    public int getCarePackage() {
        return carePackage;
    }

    public void setCarePackage(int carePackage) {
        this.carePackage = carePackage;
    }

    public int getComeOnPackage() {
        return comeOnPackage;
    }

    public void setComeOnPackage(int comeOnPackage) {
        this.comeOnPackage = comeOnPackage;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public int getServiceTag() {
        return serviceTag;
    }

    public void setServiceTag(int serviceTag) {
        this.serviceTag = serviceTag;
    }

    public int getOperatingTag() {
        return operatingTag;
    }

    public void setOperatingTag(int operatingTag) {
        this.operatingTag = operatingTag;
    }

    public int getNotStartCourseNum() {
        return notStartCourseNum;
    }

    public void setNotStartCourseNum(int notStartCourseNum) {
        this.notStartCourseNum = notStartCourseNum;
    }

    public int getNotStartVipCourseNum() {
        return notStartVipCourseNum;
    }

    public void setNotStartVipCourseNum(int notStartVipCourseNum) {
        this.notStartVipCourseNum = notStartVipCourseNum;
    }

    public int getNotStartPracticeCourseNum() {
        return notStartPracticeCourseNum;
    }

    public void setNotStartPracticeCourseNum(int notStartPracticeCourseNum) {
        this.notStartPracticeCourseNum = notStartPracticeCourseNum;
    }
}
